--
-- $RCSfile: cond_code_comparator.vhd,v $
-- $Revision: 1.1 $
-- $Author: petera $
-- $Date: 90/05/17 17:21:50 $
--

use work.dp32_types.all;

entity cond_code_comparator is
  generic (Tpd : Time := unit_delay);
  port (cc : in CC_bits;
      	cm : in cm_bits;
	result : out bit);
end cond_code_comparator;

architecture behaviour of cond_code_comparator is
  alias cc_V : bit is cc(2);
  alias cc_N : bit is cc(1);
  alias cc_Z : bit is cc(0);
  alias cm_i : bit is cm(3);
  alias cm_V : bit is cm(2);
  alias cm_N : bit is cm(1);
  alias cm_Z : bit is cm(0);
begin
  result <= 
    bool_to_bit(((cm_V and cc_V) or (cm_N and cc_N) or (cm_Z and cc_Z)) = cm_i)
    after Tpd;
end behaviour;
